## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/softshader/types.h File Reference

Software renderer common types. More...

`#include "csgeom/fixed.h"`

Go to the source code of this file.

## Namespaces

namespace | CrystalSpace
namespace | CrystalSpace::SoftShader

## Classes

struct | CrystalSpace::SoftShader::InterpolateEdgePersp
| Interpolator for a polygon edge. More...
struct | CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat
| A single interpolated buffer value. More...
struct | CrystalSpace::SoftShader::InterpolateScanlinePersp< maxFloats >
| Interpolator over a scanline. More...
struct | CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >
struct | CrystalSpace::SoftShader::InterpolateScanlinePerspCommon
| Interpolator over a scanline, common code. More...
struct | CrystalSpace::SoftShader::Pixel
struct | CrystalSpace::SoftShader::Pixel::tag_c
struct | CrystalSpace::SoftShader::ScanlineComp
| Undivided buffer values. More...
struct | CrystalSpace::SoftShader::ScanlineCompDivZ
| Buffer values div Z. More...

## Defines

#define | CS_SOFT3D_BUFFERFLAG(x) (1 << CS_SOFT3D_VA_BUFINDEX(x))
| Helper macro to obtain a software renderer buffer mask flag for a vertex attribute.
#define | CS_SOFT3D_VA_BUFINDEX(x)
| Helper macro to obtain a software renderer buffer index for a vertex attribute.

## Typedefs

typedef uint | CrystalSpace::SoftShader::BuffersMask
| Type for a bit mask of buffers.
typedef uint | CrystalSpace::SoftShader::TexturesMask
| Type for a bit mask of textures.

## Functions

template<typename T>
static T | CrystalSpace::SoftShader::Lerp (const T &a, const T &b, float f)
| Helper function to linearly interpolate.

## Variables

const size_t | CrystalSpace::SoftShader::maxBuffers = 16
| Maximum number of vertex buffers supported.

## Detailed Description

Software renderer common types.

Definition in file types.h.